Support » Plugin: WooCommerce » Errors

  • Resolved twistedpepper

    (@twistedpepper)


    Hi,
    Firstly it seems I posted in the wrong section, please accept my apologies.
    After an update I am getting this error on all WC pages;

    Warning: Declaration of WC_Product_Variable_Subscription::get_available_variations() should be compatible with WC_Product_Variable::get_available_variations($return = ‘array’) in wp-content/plugins/woocommerce-subscriptions/includes/class-wc-product-variable-subscription.php on line 17

    I hope someone can assist?
    Thank you

    The page I need help with: [log in to see the link]

Viewing 9 replies - 1 through 9 (of 9 total)
  • Hi, I have the same error. Have you been able to solve it?

    Thank you

    Thread Starter twistedpepper

    (@twistedpepper)

    Hello, sorry no nothing as of yet. 😕
    It’s all over the site specifically the WC shopping pages and basket.
    I’ve tried hiding it using code but it still throws.

    Thread Starter twistedpepper

    (@twistedpepper)

    Hi,
    I still have the same issue after debugging etc;
    Warning: Declaration of WC_Product_Variable_Subscription::get_available_variations() should be compatible with WC_Product_Variable::get_available_variations($return = ‘array’) in wp-content/plugins/woocommerce-subscriptions/includes/class-wc-product-variable-subscription.php on line 17

    Can anyone assist please? It’s a busy site and only happened after upgrading WC.
    Thanks in advance.

    Thread Starter twistedpepper

    (@twistedpepper)

    I have manually fixed it.
    @luksesp if you login to WC there’s an update release for WC Subs, that isn’t listed in you WP ACP.
    So download it manually, upgrade the site via FTP and job done.

    Thanks for the support @ Team WC…..

    >.<

    @twistedpepper I’m having the same error after updating. Not sure what you’re referencing when you say “ACP”. And downloading a new WooCommerce plugin?

    Thread Starter twistedpepper

    (@twistedpepper)

    Hello,
    By ACP I mean admin control panel – your dashboard.
    If you login to your WC account, you will see a new release for WooCommerce Subscriptions. That’s the fix.

    Just confirming – the update fixed it on my site. Thanks for the heads up about the update not showing in the control panel @twistedpepper .

    @twistedpepper @deleyna can you guys please confirm what the version number is for the WC Subscriptions plugin that you had to update?

    I have this same issue and my WC Subscriptions plugin version is 2.6.1

    My Subscription literally just ran out so I cant download this update unless it is listed under the WordPress Plugin Dashboard. This is pretty frustrating.

    Thread Starter twistedpepper

    (@twistedpepper)

    Hello @tcdelalis – good evening,
    Ours is 3.0.7 . It wasn’t flagged as a release and I only found it by searching in the CP for the latest release..

    It was updated on 11/08/20.
    :/

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Errors’ is closed to new replies.